/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

package ikr.simlib.distributions.continuous;

import ikr.simlib.distributions.Distribution;
import ikr.simlib.model.SimNode;
import ikr.simlib.parameters.Parameters;
import ikr.simlib.parameters.reflection.ReflectionConstructable3;
import ikr.simlib.random.RandomNumberGenerator;

/**
 * <code>ContinuousDistributions</code> are distributions that return floating
 * point values.
 */
public abstract class ContinuousDistribution extends Distribution implements ReflectionConstructable3<SimNode, Parameters, RandomNumberGenerator> {

   public ContinuousDistribution() {
      super();
   }

   public ContinuousDistribution(RandomNumberGenerator rng) {
      super(rng);
   }

   /**
    * Create random numbers
    */
   public abstract double next();
}
