/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

package ikr.simlib.distributions.mapped;

import ikr.simlib.distributions.Distribution;
import ikr.simlib.random.RandomNumberGenerator;

/**
 * A mapped distribution allows a custom return types for distribution values.
 * 
 * @param <I>
 *           type of distribution values
 * 
 */
public abstract class MappedDistribution<I> extends Distribution {

   public MappedDistribution() {
      super();
   }

   public MappedDistribution(RandomNumberGenerator rng) {
      super(rng);
   }

   /**
    * Create random values
    */
   public abstract I next();
}
