/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

package ikr.simlib.statistics.distribution.trace.data;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class ListDataStorage implements DataStorage {
   private final static int INITIAL_LIST_SIZE = 10000;

   final List<Sample> list = new ArrayList<Sample>(INITIAL_LIST_SIZE);

   @Override
   public void writingCompleted() {
      // noop
   }

   @Override
   public void write(Sample sample) {
      list.add(sample);
   }

   @Override
   public void sortInPlace() {
      Collections.sort(list);
   }

   @Override
   public DataSource getDataSource() {
      return new ListDataSource(list);
   }
}
